Name:           perl-Net-CIDR-Lite
Version:        0.20
Release:        8%{?dist}
Summary:        Net::CIDR::Lite Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-CIDR-Lite/
Source0:        http://www.cpan.org/authors/id/D/DO/DOUGW/Net-CIDR-Lite-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
# For "make test".
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Faster alternative to Net::CIDR when merging a large number of CIDR
address ranges. Works for IPv4 and IPv6 addresses.

%prep
%setup -q -n Net-CIDR-Lite-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

perldoc -t perlgpl > COPYING
perldoc -t perlartistic > Artistic

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README COPYING Artistic
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.20-8
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.20-7
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.20-4
Rebuild for new perl

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.20-3
- Use fixperms macro instead of our own chmod incantation.
- BR ExtUtils::MakeMaker.

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 0.20-2
- Fix find option order.

* Tue Mar 21 2006 Steven Pritchard <steve@kspei.com> 0.20-1
- Update to 0.20
- Use canonical URL

* Mon Sep 05 2005 Steven Pritchard <steve@kspei.com> 0.18-3
- Minor spec cleanup
- Add COPYING and Artistic

* Mon Aug 01 2005 Steven Pritchard <steve@kspei.com> 0.18-2
- Add BR Test::Pod and Test::Pod::Coverage for make test

* Fri Jul 15 2005 Steven Pritchard <steve@kspei.com> 0.18-1
- Specfile autogenerated.
